Subject: Re: [PATCH] provide better committer information to commit-tree.c

From: Greg KH <[email-masked]>
Date: Mon, 18 Apr 2005 18:12:37 -0700

On Tue, Apr 19, 2005 at 10:52:30AM +1000, David Woodhouse wrote:
> On Mon, 2005-04-18 at 17:45 -0700, Greg KH wrote:
> > Well Russell has stated that he has to for EU Privacy reasons.  And I'd
> > like to do it as I don't have a local suse.de hostname for my laptop and
> > my employer probably doesn't really want my [email-masked] address
> > showing up :)
> 
> Why not? Do they complain that we see [email-masked]' when you
> connect to an IRC server?

No, this employer seems quite sane :)
However, irc connections are as "real" as a kernel changelog message to
a lot of people.

> This _isn't_ an email address, and doesn't really need to be treated
> as such. 

Ok, then why display it as one?  Seriously, it doesn't really bother me,
just added it as I thought others would need it.  I know the "shortlog"
program can pick the real names out of the Signed-off-by: lines.

But I'll wait for Russell to wake up and start quoting the proper EU
privacy laws that he feels causes him to be forced to obfuscate his
email addresses in the changelog commits (as he did for the bk ones.)

thanks,

greg k-h